cancel
Showing results for 
Search instead for 
Did you mean: 

Juniper Installer Service

SOLVED
krunge_
New Contributor

Juniper Installer Service

I'm trying to upgrade my SA-4000s from 6.0R7 to 6.4R4. I know I have to push a new Juniper Installer Service as prep for the clients. Anyone know the minimum level that will work? I was going to use 1.3.2.12875 but I see that 2.0.2.5745 is out.

1 ACCEPTED SOLUTION

Accepted Solutions
ruc_
Regular Contributor

Re: Juniper Installer Service

@ Krunge: What are your upgrade plans in the short term? If there are no newer releases that you will upgrade to after the 6.4R4 upgrade then the JIS version packaged with 6.4R4 will suffice. However if you are looking at another upgrade in the short term (like maybe a 6.5 release for Windows 7 and Snow leopard support) then try using a higher version of JIS.

 

@ All: To Clarify further: JIS should be able to upgrade itself without admin privileges. This is not an issue. However the missing piece in Juniper Installer Service is it's (or the product's) inability to automatically push a newer version out when it detects an older version on the client (how the logic built into NC, WSAM, or other such clients do). And that is why the KB advises to push the newer version of JIS before upgrading the IVE OS. And this relies on the ability to push out new clients using some form of software push infrastructure like SMS for example. However if for any reason you cannot leverage a software distribution system then even other distribution methods like hosting the newer version of JIS on a webserver or someplace accessible by users will work. All users have to do is install this new JIS like any other exe. And as noted in the KB this step is needed only if end users do not have the ability to run Java applets.

 

 

View solution in original post

5 REPLIES 5
Mrkool_
Super Contributor

Re: Juniper Installer Service

as long as there is one installer service out there from 6.0+ than you do not have to push another one out. It should upgrade the service automatically when you go to 6.4R4

rdit_
Regular Contributor

Re: Juniper Installer Service

yeah, you should not run into problems, but you will :-) installerservice isnt really reliable in my opinion. i have a lot of users with a 6.x installerservice and when upgrading the IVE OS, lots of em are not allowed to install the newer version, when the automatic update starts. maybe the activeX components have something todo with it, i dont know...i just have those issues any time again.

SharePoint_
Occasional Contributor

Re: Juniper Installer Service

Hi,

I had similar problem at customer who has restricted rights on computers. It is best that you install new version of JIS on computers, because this is a known problem and I also had case with JTAC.

Check this KB regarding problem: http://kb.pulsesecure.net/index?page=content&id=KB15210&smlogin=true

As it is written in KB from version 6.4R3 onwards compatibility of JIS is confirmed.

Also one thing, if user has stricly non-admin rights, but JIS is in place, you should have java installed and java scripting enabled in browser.

To take conclusion, from my point of view, if it is possible, it is best to deploy components via SMS or some other push mechanism.

IT_guy_
New Contributor

Re: Juniper Installer Service

I was able to upgrade 5.5 installer service 1.0 to the newer 2.0xxxxsx withthe 6.xRX software in the test "lab"....with non admin rights.

ruc_
Regular Contributor

Re: Juniper Installer Service

@ Krunge: What are your upgrade plans in the short term? If there are no newer releases that you will upgrade to after the 6.4R4 upgrade then the JIS version packaged with 6.4R4 will suffice. However if you are looking at another upgrade in the short term (like maybe a 6.5 release for Windows 7 and Snow leopard support) then try using a higher version of JIS.

 

@ All: To Clarify further: JIS should be able to upgrade itself without admin privileges. This is not an issue. However the missing piece in Juniper Installer Service is it's (or the product's) inability to automatically push a newer version out when it detects an older version on the client (how the logic built into NC, WSAM, or other such clients do). And that is why the KB advises to push the newer version of JIS before upgrading the IVE OS. And this relies on the ability to push out new clients using some form of software push infrastructure like SMS for example. However if for any reason you cannot leverage a software distribution system then even other distribution methods like hosting the newer version of JIS on a webserver or someplace accessible by users will work. All users have to do is install this new JIS like any other exe. And as noted in the KB this step is needed only if end users do not have the ability to run Java applets.

 

 

View solution in original post